Subject: Re: Linux ABI documents and powerpc supplements.

From: "Momchil 'Velco' Velikov" <[email-masked]>
Date: Wed, 05 Jan 2000 08:46:13 +0200

Brendan J Simon wrote:
> I am having problems getting simple shared executalbes to work on my embedded powerpc system
> (MPC860).  I am using an egcs-1.1.2 cross compiler and have cross-compiled linux-2.2.5 kernel,
> glibc-2.1 and some simple test applications.  I have an app that outputs a string every second
> using puts().  If I compile with "powerpc-linux-gcc -m860 -static" it works, but if I compile
> with "powerpc-linux-gcc -m860 -shared" it doesn't work.  I am mount root via nfs and the nfs

-shared is used to *create* a shared library. You need -Bdynamic in
order to force the executable to be linked against shared libraries.

Regards,
-velco

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/